Bug 525147 - Lockups when using performance counters
Summary: Lockups when using performance counters
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 14:40 UTC by Søren Sandmann Pedersen
Modified: 2014-06-18 09:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-16 10:04:14 UTC


Attachments (Terms of Use)
/proc/cpuinfo (2.75 KB, application/octet-stream)
2009-09-23 14:42 UTC, Søren Sandmann Pedersen
no flags Details
The attached program (12.41 KB, text/plain)
2009-09-24 08:59 UTC, Søren Sandmann Pedersen
no flags Details
A version that compiles without warnings. (12.43 KB, text/x-csrc)
2009-09-24 15:23 UTC, Søren Sandmann Pedersen
no flags Details

Description Søren Sandmann Pedersen 2009-09-23 14:40:26 UTC
Description of problem:

The attached programs sometimes causes lockups. Generally I have to run immediately after logging in and rebooting to provoke the lockup.

The system is a quad core Core 2; I'll attach cpuinfo.

Comment 1 Søren Sandmann Pedersen 2009-09-23 14:42:43 UTC
Created attachment 362307 [details]
/proc/cpuinfo

Comment 2 Chuck Ebbert 2009-09-24 03:24:52 UTC
(In reply to comment #2)
> Description of problem:
> 
> The attached programs sometimes causes lockups. Generally I have to run
> immediately after logging in and rebooting to provoke the lockup.

What attached programs?

Comment 3 Søren Sandmann Pedersen 2009-09-24 08:59:18 UTC
Created attachment 362449 [details]
The attached program

This one, sorry. I'm not sure what went wrong.

Comment 4 Chuck Ebbert 2009-09-24 15:07:43 UTC
    int cpu = (int)data;

should be

    int cpu = (int)*data;

You should probably build with -Wall and fix every warning before looking for bugs.

Comment 5 Søren Sandmann Pedersen 2009-09-24 15:23:31 UTC
Created attachment 362515 [details]
A version that compiles without warnings.

Here is a version that compiles without warnings with -Wall.

Note that I am using this:

    pthread_create (&t, NULL, thread, (void *)i);

to cast a small integer to a pointer, then casting back later. There is nothing wrong with that, I don't think.

Comment 6 Chuck Ebbert 2009-09-27 10:30:50 UTC
Can you try with a 2.6.31.1 kernel, which has several perfcounter fixes? Is it completely wedged to the point that the sysrq keys don't work?

Comment 7 Søren Sandmann Pedersen 2009-10-16 10:04:14 UTC
It is completely wedged, yes. I haven't seen it since upgrading to 2.6.31.1, so maybe it's gone.


Note You need to log in before you can comment on or make changes to this bug.